OCflash Downgrade OPCOM firmware if was upgraded from 2011 2012 official software - Page 6
Register
Page 6 of 7 FirstFirst 1234567 LastLast
Results 76 to 90 of 104
  1. #76
    Newbie
    Join Date
    Feb 2020
    Posts
    2
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Default

    Sorry for bump but well

  2. #77
    Newbie
    Join Date
    Jul 2021
    Posts
    4
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Default

    Thanks you. Was trying to find it the whole day

  3. #78
    Newbie
    Join Date
    Jul 2021
    Posts
    4
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Default

    I already posted 1 day ago and can't download anything.

  4. #79
    Admin Assistant
    gmb45's Avatar
    Join Date
    Nov 2008
    Location
    park bench, hedge bottom, police cell
    Posts
    27,227
    Thanks
    906
    Thanked 2,096 Times in 977 Posts

    Default

    try reading the rules
    mountain rescue donate

    support digital-kaos here


    forum rules

    no keygens or torrents to be posted no autodata discussions and no cardshare/server talk allowed.

    LLAP

    pish pt walkers



  5. #80
    Newbie
    Join Date
    Aug 2021
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    Quote Originally Posted by manocao View Post
    i found a program that is supposed to be able to downgrade opcom firmware to 1.39 EVEN if it was upgraded to 1.41 or 1.43 or 1.44 or 1.45 by means of 2011 2012 official opcom software

    no matter if you started some 2011 2012 official opcom version with interface plugged in computer, which would have upgraded to 1.43 or 1.44 but disabling bootloader

    2011 and 2012 official software versions of opcom dont erase pic of interface but disable bootloader

    ocflash doesnt work if you started some 2010 version with interface plugged in computer, which erased your interface's pic

    howto:

    1. connect opcom interface through usb only
    2. run ocflash
    3. click on "request interface" to check actual version programmed on interface
    4. if programmed version is 1.44 or 1.45 click "load firmware" and select fw139.hex from "Firmwarefiles" folder
    5. click "change"
    6. select "automatic mode" and click "flash"

    DOWNLOAD:

    Thanks, i need to do this to get the security code, so soon as i can dowload it, i will try

  6. #81
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default

    hello does anyone can help i need opcom sw for firmware 1.39

  7. #82
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    971
    Thanks
    357
    Thanked 813 Times in 380 Posts

    Default

    Quote Originally Posted by ASCM View Post
    hello does anyone can help i need opcom sw for firmware 1.39
    Here you have the link to Opcom 08.2010 for FW 1.39. (slow download)




    But you better read this topic.

    https://www.digital-kaos.co.uk/forum...ighlight=opcom
    Attached Files Attached Files

  8. #83
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default

    Hi i writed fw, flashed correctly after that no interface found when i try to connect what its wrong

    Sent from my SM-A125F using Tapatalk

  9. #84
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    971
    Thanks
    357
    Thanked 813 Times in 380 Posts

    Default

    Quote Originally Posted by ASCM View Post
    Hi i writed fw, flashed correctly after that no interface found when i try to connect what its wrong

    Sent from my SM-A125F using Tapatalk
    Hi.
    One question. Does your Opcom interface have a real PIC 18F458 or have you done a firmware upgrade before?

    If there is no real PIC 18F458 then by changing FW you killed the interface.

    What firmware did you have before?

  10. #85
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default

    Quote Originally Posted by Mario6 View Post
    Hi.
    One question. Does your Opcom interface have a real PIC 18F458 or have you done a firmware upgrade before?

    If there is no real PIC 18F458 then by changing FW you killed the interface.

    What firmware did you have before?
    I have not opened the opcom HW to check which mcu it have but ori firmware was 1.39 but when i used a different sw vauxcom sw it tried to update the tool after that begin problem

    Sent from my SM-A125F using Tapatalk
    Last edited by ASCM; 11th October, 2021 at 09:23 PM.

  11. #86
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    971
    Thanks
    357
    Thanked 813 Times in 380 Posts

    Default

    It's normal for Vauxcom 12xxxxx to want to change the FW from 1.39 to 1.45. If you aborted this operation, you probably "cleared" the PIC. Sometimes if it is a real PIC you can load it with OCFlash. If it fails, an external programmer may help.
    Upload PCB photos.

  12. #87
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default

    (I aborted in first second)I can load fw and write with oc sw correctly but when try to check fw version with opcom sw show only ??? And opcom sw try to update automaticly

    Sent from my SM-A125F using Tapatalk
    Last edited by ASCM; 12th October, 2021 at 09:29 AM.

  13. #88
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default OCflash Downgrade OPCOM firmware if was upgraded from 2011 2012 official software

    Photos of my opcom device and testing modes
    Last edited by ASCM; 12th October, 2021 at 09:14 AM.

  14. #89
    DK Veteran
    ASCM's Avatar
    Join Date
    Oct 2018
    Posts
    820
    Thanks
    324
    Thanked 80 Times in 69 Posts

    Default

    I have gqx4 programmer oem made in canada does anyone have any diagram how can connect to write boot area throught bdm mode

    Sent from my SM-A125F using Tapatalk

  15. #90
    DK Veteran

    Join Date
    Dec 2014
    Location
    PL
    Posts
    971
    Thanks
    357
    Thanked 813 Times in 380 Posts

    Default

    Your interface is good quality with Opcom V5 PCB.
    Did you let SW Vauxcom 12xxxx finish changing FW to 1.45? If you have not allowed, do it again. Maybe it will help.
    I had a similar situation when I wanted to use Opcom 1910xxx Advanced. The software started the FW change but did not complete and cleared the PIC. I couldn't fix it using OCFlash, no FW was visible. I also did not fix it with a programmer. So I bought another one and now I have no problem.


    You can find photos of how to connect the programmer to PIC on the Internet. I had an interface with the "Opcom New" PCB.

 

 
Page 6 of 7 FirstFirst 1234567 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •